oro_behat_extension:
  elements:
    Report Form:
      class: Oro\Bundle\TestFrameworkBundle\Behat\Element\Form
      selector: "form[id^='oro_report_form']"
      options:
        mapping:
          Name: oro_report_form[name]
          Entity: oro_report_form[entity]
          Report Type: oro_report_form[type]
          Grouping Columns:
              type: 'css'
              locator: 'input[name="oro_report_form[grouping][columnNames]"]'
              element: Select2Entity

    Add Grouping button:
      selector:
        locator: '//div[@id="oro_report-grouping-form"]//a[normalize-space(text())="Add"]'
        type: xpath

    Show SQL Query:
      selector:
        locator: '//div[@class="sql-query-container"]//a[text()="Show SQL Query"]'
        type: xpath

    Copy to Clipboard:
      selector:
        locator: '//div[@class="sql-query-container"]//a[text()="Copy to Clipboard"]'
        type: xpath

    Clone Report Button:
      selector: 'a[title="Clone Report"]'

    Column Names:
      selector: 'div#select2-drop ul.select2-results'

  suites:
    OroReportBundle:
      contexts:
        - Oro\Bundle\TestFrameworkBundle\Tests\Behat\Context\OroMainContext
        - Oro\Bundle\DataGridBundle\Tests\Behat\Context\GridContext
        - Oro\Bundle\QueryDesignerBundle\Tests\Behat\Context\QueryDesignerContext
        - Oro\Bundle\FilterBundle\Tests\Behat\Context\FilterContext
        - Oro\Bundle\FormBundle\Tests\Behat\Context\FormContext
        - Oro\Bundle\ConfigBundle\Tests\Behat\Context\FeatureContext
        - Oro\Bundle\LocaleBundle\Tests\Behat\Context\LocalizationContext
        - Oro\Bundle\EmailBundle\Tests\Behat\Context\EmailContext
        - Oro\Bundle\ImportExportBundle\Tests\Behat\Context\ImportExportContext
      paths:
        - '@OroReportBundle/Tests/Behat/Features'
